Bug 732948 - CCISS: Auto install fail at creating physical volume.
Summary: CCISS: Auto install fail at creating physical volume.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ovirt-node
Version: 5.8
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Mike Burns
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 733024
TreeView+ depends on / blocked
 
Reported: 2011-08-24 09:04 UTC by cshao
Modified: 2016-04-26 15:07 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
RAID arrays controlled by CCISS devices were not found by multipath configuration, so installation failed because it could not create physical volumes. The code has been updated so that RAID arrays controlled by CCISS devices are found by multipath configuration and installation on RAID arrays controlled by CCISS devices is now successful.
Clone Of:
Environment:
Last Closed: 2012-02-21 05:04:15 UTC


Attachments (Terms of Use)
ovirt.log (5.54 KB, text/plain)
2011-08-24 09:04 UTC, cshao
no flags Details
Patch (1.69 KB, patch)
2011-08-24 13:10 UTC, Mike Burns
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0168 normal SHIPPED_LIVE Important: rhev-hypervisor5 security and bug fix update 2012-02-21 10:01:32 UTC

Description cshao 2011-08-24 09:04:50 UTC
Created attachment 519577 [details]
ovirt.log

Description of problem:
CCISS: Auto install fail at creating physical volume.

Version-Release number of selected component (if applicable):
rhev-hypervisor-5.7-20110823.0.el5_7

How reproducible:
100%

Steps to Reproduce:
1. Boot with PXE specify storage_init=cciss,storage_vol=::::: local_boot firstboot
2. Please see attachment for more details.
3.
  
Actual results:
CCISS: Auto install fail at creating physical volume.
Please see ovirt.log
=============================
Aug 24 04:19:14 Starting partitioning of /dev/cciss/c0d0 Aug 24 04:19:14 Saving parameters Aug 24 04:19:14 Removing old LVM partitions Aug 24 04:19:14 Wiping old boot sector 1+0 records in
1+0 records out
1048576 bytes (1.0 MB) copied, 0.001503 seconds, 698 MB/s
Aug 24 04:19:14 Wiping secondary gpt header 1+0 records in
1+0 records out
1024 bytes (1.0 kB) copied, 3.8e-05 seconds, 26.9 MB/s
find: /dev/HostVG: No such file or directory
Aug 24 04:19:15 Labeling Drive Aug 24 04:19:15 Creating boot partition Aug 24 04:19:16 Creating LVM partition Aug 24 04:19:16 Toggling boot on Aug 24 04:19:16 Toggling LVM on 
Model: Compaq Smart Array (cpqarray)
Disk /dev/cciss/c0d0: 73.4GB
Sector size (logical/physical): 512B/512B
Partition Table: msdos

Number  Start   End     Size    Type     File system  Flags
 1      0.51kB  52.0MB  52.0MB  primary  ext2         boot 
 2      52.0MB  73.4GB  73.3GB  primary               lvm  

Aug 24 04:19:17 Creating physical volume 1+0 records in
1+0 records out
1048576 bytes (1.0 MB) copied, 0.029478 seconds, 35.6 MB/s
  Can't open /dev/cciss/c0d0p2 exclusively.  Mounted filesystem?

Expected results:
Auto install to cciss can successful.

Additional info:
There is no such issue in 5.7 old version, so it is a regression bug.

Comment 3 Mike Burns 2011-08-24 13:10:30 UTC
Created attachment 519634 [details]
Patch

Patch

Comment 6 Kate Grainger 2011-08-29 00:17:22 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
RAID arrays controlled by CCISS devices were not found by multipath configuration, so installation failed because it could not create physical volumes. The code has been updated so that RAID arrays controlled by CCISS devices are found by multipath configuration and installation on RAID arrays controlled by CCISS devices is now successful.

Comment 9 errata-xmlrpc 2012-02-21 05:04:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0168.html


Note You need to log in before you can comment on or make changes to this bug.